Bug 18812 - SIP Patron status does not respect OverduesBlockCirc
Summary: SIP Patron status does not respect OverduesBlockCirc
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-15 15:05 UTC by Nick Clemens
Modified: 2017-10-05 21:28 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18812 - SIP Patron status does not respect OverduesBlockCirc (4.32 KB, patch)
2017-06-15 15:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18812 - SIP Patron status does not respect OverduesBlockCirc (4.44 KB, patch)
2017-06-17 14:19 UTC, Chris Kirby
Details | Diff | Splinter Review
Bug 18812 - SIP Patron status does not respect OverduesBlockCirc (4.54 KB, patch)
2017-09-01 09:53 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-06-15 15:05:23 UTC
When performing a patron_information request against the SIP server a patron with overdues returns false for 'charge privileges denied' - they should return a 'Y'
Comment 1 Nick Clemens 2017-06-15 15:11:13 UTC
Created attachment 64336 [details] [review]
Bug 18812 - SIP Patron status does not respect OverduesBlockCirc

To test:
1 - Set 'OverduesBlockCirc' to block
2 - Find or create a patron with overdues
3 - Perform a SIP patron lookup on that patron
misc/sip_cli_emulator.pl -a 127.0.0.1 -p 6001 -su term1 -sp term1 -l CPL
--patron {userid or cardnumber} --password {pass} -m patron_information
4 - Note the first character of response is a ' '
5 - Apply patch
6 - Perform SIP patron lookup
7 - Note the first character of response is 'Y'
8 - prove t/db_dependent/SIP/Patron.t
9 - Test should return green
Comment 2 Chris Kirby 2017-06-17 14:19:38 UTC
Created attachment 64420 [details] [review]
Bug 18812 - SIP Patron status does not respect OverduesBlockCirc

To test:
1 - Set 'OverduesBlockCirc' to block
2 - Find or create a patron with overdues
3 - Perform a SIP patron lookup on that patron
misc/sip_cli_emulator.pl -a 127.0.0.1 -p 6001 -su term1 -sp term1 -l CPL
--patron {userid or cardnumber} --password {pass} -m patron_information
4 - Note the first character of response is a ' '
5 - Apply patch
6 - Restart memcached, apache, and plack
7 - Perform SIP patron lookup
8 - Note the first character of response is 'Y'
9 - prove t/db_dependent/SIP/Patron.t
10 - Test should return green

Signed-off-by: Chris Kirby <chris.kirby@ilsleypubliclibrary.org>
Works as advertised
Comment 3 Marcel de Rooy 2017-09-01 09:53:28 UTC
Created attachment 66697 [details] [review]
Bug 18812 - SIP Patron status does not respect OverduesBlockCirc

To test:
1 - Set 'OverduesBlockCirc' to block
2 - Find or create a patron with overdues
3 - Perform a SIP patron lookup on that patron
misc/sip_cli_emulator.pl -a 127.0.0.1 -p 6001 -su term1 -sp term1 -l CPL
--patron {userid or cardnumber} --password {pass} -m patron_information
4 - Note the first character of response is a ' '
5 - Apply patch
6 - Restart memcached, apache, and plack
7 - Perform SIP patron lookup
8 - Note the first character of response is 'Y'
9 - prove t/db_dependent/SIP/Patron.t
10 - Test should return green

Signed-off-by: Chris Kirby <chris.kirby@ilsleypubliclibrary.org>
Works as advertised

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-09-01 16:06:25 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-10-03 08:23:26 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 6 Katrin Fischer 2017-10-05 21:28:54 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.